<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head } from '@inertiajs/vue3';
import { ref, watch } from "vue";
const props = defineProps({
  users: Object,

});
</script>

<template>

    <Head title="Users" />

    <AuthenticatedLayout>
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">Users</h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                    <table class="min-w-full divide-y divide-gray-200">
                        <thead class="text-xs text-gray-700 uppercase bg-gray-100 dark:bg-gray-700 dark:text-gray-40">
                            <th scope="col" class="font-bold px-6 py-3 text-left">Email</th>
                            <th scope="col" class="font-bold px-6 py-3 text-left">Name</th>
                            <th scope="col" class="font-bold px-6 py-3 text-left">Status</th>
                            <th scope="col" class="font-bold px-6 py-3">Actions</th>
                        </thead>
                        <tbody class="bg-white divide-y divide-gray-200">
                            <tr  class="bg-white border-b dark:bg-gray-800 dark:border-gray-700" v-for="user in users.data" :key="user.id">
                                <td class="px-6 py-4 text-left">{{ user.email }}</td>

                                <td class="px-6 py-4 text-lef">{{ user.name }}</td>

                                <td  class="px-6 py-4 text-right">On</td>

                                <td  class="px-6 py-4 text-right">Edit | delete</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>
